Subject: [rohc] ROHC implementer's guide - error in mode transition diagram?

From: Alan Kennington <[email-masked]>
Date: Sat, 23 Aug 2003 02:32:32 +0930

There seems to be an error in the mode transition diagram for
transitions to U-mode in the ROHC Implementer's Guide, version 3.
Is this true?

The diagram on page 5 (part 3.3) shows no change of mode to mode U in
the decompressor even though an IR/IR-DYN/UOR-2(SN,U) packet is received.
Surely it is more sensible for the decompressor to change to U mode if the
compressor has made the transition to U mode.
In a sense, this could be a metaphysical question, since the compressor
should keep sending mode-independent packets until it receives U-mode
ACKs from the decompressor.
But then why is the corresponding mode change made for the O->R, U->R
and R->O diagrams in RFC 3095?

Question 2:
Suppose the decompressor initiates the mode transition U -> O when the feedback
link is down or non-existent. Then the compressor is stuck in U mode forever
and the decompressor is stuck in O mode forever. Is this true?
Since D_TRANS is not changed in this transition, the decompressor will not
be aware of the fact that the compressor has not changed mode.
So maybe the decompressor will be free to initiate the change O -> R?

Question 3:
Suppose the decompressor initiate the mode transition U -> R
when the feedback link is down or non-existent. Then the decompressor will
stay in D_TRANS = I forever. Is this true?

CHeers,
Alan Kennington.

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc